﻿using HealthMonitor.Util.Entities.HealthMonitor;
using HealthMonitor.Util.Entities.HealthMonitor.Taos;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Core.Map.HealthMonitor.Taos
{
    public class HmBloodPressMap : GenericEntityTypeConfiguration<HmBloodPress>
    {
        //public override void Configure(EntityTypeBuilder<HmBloodPress> entity)
        //{

          
            
        //    entity.HasKey(e => e.Ts)
        //    .HasName("PRIMARY");

        //    entity.ToTable("stb_hm_bloodpress");

        //    entity.Property(e => e.Ts)
        //        .HasColumnName("ts")
        //    .HasColumnType("timestamp");

        //    entity
        //        .Property(e => e.Serialno)
        //        .HasColumnName("serialno");

        //    entity
        //        .Property(e => e.BloodPressId)
        //        .HasColumnName("bloodpress_id")
               
                

        //    entity
        //       .Property(e => e.MessageId)
        //       .HasColumnName("message_id");

        //    entity
        //       .Property(e => e.SystolicValue)
        //       .HasColumnName("systolic_value");

        //    entity
        //       .Property(e => e.DiastolicValue)
        //       .HasColumnName("diastolic_value");


        //    entity
        //       .Property(e => e.LastUpdate)
        //       .HasColumnName("last_update");


        //    entity
        //       .Property(e => e.CreateTime)
        //       .HasColumnName("create_time");


        //    entity
        //       .Property(e => e.Method)
        //       .HasColumnName("method");


        //    entity
        //       .Property(e => e.IsDisplay)
        //       .HasColumnName("is_display");

        //    entity
        //      .Property(e => e.TailNo)
        //      .HasColumnName("serial_tail_no");
        //}


        public override void Configure(EntityTypeBuilder<HmBloodPress> entity)
        {



            entity.HasKey(e => e.Ts)
            .HasName("PRIMARY");

            entity.ToTable("stb_hm_bloodpress");

            entity.Property(e => e.Ts)
                .HasColumnName("ts")
                .HasColumnType("timestamp");

            entity
                .Property(e => e.Serialno)
                .HasColumnName("serialno")
                .HasDefaultValueSql("''");

            entity
                .Property(e => e.BloodPressId)
                .HasColumnName("bloodpress_id")
                .HasDefaultValueSql("''");




            entity
               .Property(e => e.MessageId)
               .HasColumnName("message_id").HasColumnType("VARCHAR").HasDefaultValueSql("''");

            entity
               .Property(e => e.SystolicValue)
               .HasColumnName("systolic_value");

            entity
               .Property(e => e.DiastolicValue)
               .HasColumnName("diastolic_value");


            entity
               .Property(e => e.LastUpdate)
               .HasColumnName("last_update");


            entity
               .Property(e => e.CreateTime)
               .HasColumnName("create_time");


            entity
               .Property(e => e.Method)
               .HasColumnName("method");


            entity
               .Property(e => e.IsDisplay)
               .HasColumnName("is_display");

            entity
              .Property(e => e.TailNo)
              .HasColumnName("serial_tail_no");
        }
    }
}
