﻿using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations.Schema;

namespace HealthMonitor.Util.Entities.HealthMonitor.Taos
{
    public class HmBloodPress
    {
        [Column("ts")]
        public DateTime Ts { get; set; } = default!;
        //[JsonProperty("bloodpress_id")]
        [Column("bloodpress_id")]
        public string BloodPressId { get; set; } ="aaaaa";
        [Column("message_id")]
        public string MessageId { get; set; } = default!;
        [Column("serialno")]
        public string Serialno { get; set; } = default!;
        [Column("systolic_value")]
        public int SystolicValue { get; set; }
        [Column("diastolic_value")]
        public int DiastolicValue { get; set; }
        [Column("last_update")]
        public DateTime LastUpdate { get; set; }
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
        [Column("method")]
        public sbyte Method { get; set; }
        [Column("is_display")]
        public bool IsDisplay { get; set; }

        [Column("serial_tail_no")]
        public string TailNo { get; set; }=string.Empty;
    }
}
