﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Util.Entities.HealthMonitor.Taos
{
    public class HmBloodPressStatsInc
    {
        [JsonProperty("ts")]
        public DateTime Ts { get; set; } = default!;

        [JsonProperty("bloodpress_id")]
        [Column(TypeName = "varchar(36)")]
        public string BloodPressId { get; set; } = string.Empty;

        [JsonProperty("message_id")]
        public string MessageId { get; set; } = default!;

        [JsonProperty("serialno")]
        public string Serialno { get; set; } = default!;

        [JsonProperty("systolic_value")]
        public int SystolicValue { get; set; }

        [JsonProperty("systolic_ref_value")]
        public int SystolicRefValue { get; set; }

        [JsonProperty("systolic_avg_value")]
        public float SystolicAvgValue { get; set; }

        [JsonProperty("systolic_max_value")]
        public int SystolicMaxValue { get; set; }

        [JsonProperty("systolic_min_value")]
        public int SystolicMinValue { get; set; }

        [JsonProperty("systolic_avg_offset")]
        public float SystolicAvgOffset { get; set; }

        [JsonProperty("systolic_inc_value")]
        public int SystolicIncValue { get; set; }

        [JsonProperty("diastolic_value")]
        public int DiastolicValue { get; set; }

        [JsonProperty("diastolic_ref_value")]
        public int DiastolicRefValue { get; set; }

        [JsonProperty("diastolic_avg_value")]
        public float DiastolicAvgValue { get; set; }

        [JsonProperty("diastolic_max_value")]
        public int DiastolicMaxValue { get; set; }

        [JsonProperty("diastolic_min_value")]
        public int DiastolicMinValue { get; set; }

        [JsonProperty("diastolic_avg_offset")]
        public float DiastolicAvgOffset { get; set; }

        [JsonProperty("diastolic_inc_value")]
        public int DiastolicIncValue { get; set; }

        [JsonProperty("gender")]
        public sbyte Gender { get; set; }

        [JsonProperty("age")]
        public int Age { get; set; }

        [JsonProperty("height")]
        public float Height { get; set; }

        [JsonProperty("weight")]
        public float Weight { get; set; }

        [JsonProperty("last_update")]
        public DateTime LastUpdate { get; set; }

        [JsonProperty("stat_duration")]
        public int StatDuration { get; set; }

        [JsonProperty("stat_start_time")]
        public DateTime StatStartTime { get; set; }

        [JsonProperty("stat_end_time")]
        public DateTime StatEndTime { get; set; }

        [JsonProperty("remark")]
        public string? Remark { get; set; } = string.Empty;

        //[JsonProperty("hypertension")]
        //public bool? Hypertension { get; set; }

        [JsonProperty("serial_tail_no")]
        public string? TailNo { get; set; } = string.Empty;
    }
}
